"""
Title     : TODO
Objective : TODO
Created by: Abdellah Janid
Created on: 6/11/20
"""
# Standard library imports
# Related third party imports
# Import local applications
import scraper.scraping_tools as mt


def get_group_info(soup):
    """
    Returns:
        a list of dictionaries with the following {keys: values}
            name   : str, default None
            nr_members    : str, default None


    """
    info = mt.get_info(soup, {
        'name': 'span.v-align-middle',
        'len': 'h1.t-20'
    })

    if info['len'] is not None:
        # noinspection PyBroadException
        try:
            info['len'] = info['len'].replace(",", "").strip(" Members")
            info['len'] = int(info['len'])
        except:
            info['len'] = None

    info['tag'] = None
    info['added'] = None
    info['other'] = None
    return info


def get_group_members_info(soup):
    """
    Returns:
        a list of dictionaries with the following {keys: values}
            full_name     : str, default None
            headline      : str, default None
            dist_value    : int, default None
            li_per_url    : str, default None


    """
    info = mt.get_info(soup, {
        'full_name': '.artdeco-entity-lockup__title',
        'headline': '.artdeco-entity-lockup__subtitle',
        'dist_value': 'span.a11y-text'

    })

    info['url'] = mt.get_attribute_value(soup, 'a.ui-entity-action-row__link', "href")
    if info['url'] is not None:
        info['url'] = mt.validate_link_one(info["url"])

    if info['dist_value'] is not None:
        info['dist_value'] = info['dist_value'].replace(" degree connection", "").strip()

    return [info]
