"""
Title     : TODO
Objective : TODO
Created by: Abdellah Janid
Created on: 6/11/20
"""
# Standard library imports
from typing import Optional, List

# Related third party imports
from pydantic import BaseModel, Field

# Import local applications
from scraper.general_schemas import InitModel, ExtraModel


# noinspection PyMissingOrEmptyDocstring
class GroupMembersModel(BaseModel):
    full_name: Optional[str] = Field(...)
    headline: Optional[str] = Field(...)
    dist_value: Optional[str] = Field(...)
    url: Optional[str] = Field(...)

    # noinspection PyMissingOrEmptyDocstring
    class Config:
        fields = {
            "full_name": "full_name",
            "headline": "headline",
            "dist_value": "dist_value",
            "url": "url"
        }
        allow_population_by_field_name = True


class GroupMembersSchema(BaseModel):
    """
    Group members schema
    """
    init: InitModel = Field(...)
    extra: ExtraModel = Field(...)
    group_members: List[GroupMembersModel] = Field(...)

    # noinspection PyMissingOrEmptyDocstring
    class Config:
        title = 'Group Members'
        fields = {
            'init': 'init',
            "extra": "extra",
            'group_members': 'group_members'
        }
        allow_population_by_field_name = True
