"""
Title     : TODO
Objective : TODO
Created by: Abdellah Janid
Created on: 6/11/20
"""
# Standard library imports
from typing import Optional, List

# Related third party imports
from pydantic import BaseModel, Field

# Import local applications
from scraper.general_schemas import InitModel, ExtraModel


# noinspection PyMissingOrEmptyDocstring
class JobsListModel(BaseModel):
    title: str = Field(...)
    company: Optional[str] = Field(...)
    actively_recruiting: Optional[bool] = Field(...)
    nr_applicants: Optional[str] = Field(...)
    location: Optional[str] = Field(...)
    connections_in_org: Optional[str] = Field(...)
    url_job: str = Field(...)
    url_company: Optional[str] = Field(...)
    posting_date: Optional[str] = Field(...)

    # noinspection PyMissingOrEmptyDocstring
    class Config:
        fields = {
            "title": "title",
            "company": "company",
            "actively_recruiting": "actively_recruiting",
            "nr_applicants": "nr_applicants",
            "location": "location",
            "connections_in_org": "connections_in_org",
            "url_job": "url_job",
            "url_company": "url_company",
            "posting_date": "posting_date"
        }
        allow_population_by_field_name = True


class JobsListSchema(BaseModel):
    """
    Group members schema
    """
    init: InitModel = Field(...)
    extra: ExtraModel = Field(...)
    jobs_list: List[JobsListModel] = Field(...)

    # noinspection PyMissingOrEmptyDocstring
    class Config:
        title = 'Jobs list'
        fields = {
            'init': 'init',
            "extra": "extra",
            'jobs_list': 'jobs_list'
        }
        allow_population_by_field_name = True
