"""
Title     : TODO
Objective : Get learn info
Created by: Abdellah Janid
Created on: 12/14/20
"""
# Standard library imports


# Related third party imports
from bs4 import BeautifulSoup

# Import local applications
from scraper import scraping_tools as mt


def get_quiz(soup: BeautifulSoup):
    """
    Get the top card of the job description
    Returns
    -------
    info : dict
        a list of dictionaries with the following {keys: values}
        question       : str
            Question
        answers      : list, default None
            list of answers
    """
    info = mt.get_info(soup, {
        "question": "h1",
        "answers": ".jobs-unified-top-card__subtitle-primary-grouping span",
        "location": ".jobs-unified-top-card__subtitle-primary-grouping span:nth-of-type(2)",
        "posting_date": ".jobs-unified-top-card__posted-date",
        "nr_applicants": ".jobs-unified-top-card__applicant-count",
        "message": "span.artdeco-inline-feedback__message"
    })

    info["url_company"] = mt.get_attribute_value(soup, ".jobs-unified-top-card__subtitle-primary-grouping span a", "href")
    if info['url_company'] is not None:
        info['url_company'] = "https://www.linkedin.com" + info['url_company']
    return info