"""
Created by: Abdellah Janid
Created on: 6/2/20
"""
# Standard library imports
# Related third party imports
# Import local applications
import scraper.scraping_tools as mt


def get_my_connections(soup):
    """
    Returns:
        a list of dictionaries with the following {keys: values}
            full_name   : str, default None
            headline    : str, default None
            li_per_url  : str, default None


    """
    info = mt.get_info(soup, {
        'full_name': '.mn-connection-card__name',
        'occupation': '.mn-connection-card__occupation',
        'connected': 'time'

    })

    info['url'] = mt.get_attribute_value(soup, '.mn-connection-card__link', "href")
    if info['url'] is not None:
        info['url'] = mt.validate_link_one(info['url'])
    return info


def get_expected_els(soup):
    """
    Get the number of expected elements, for my connections
    Returns
    -------
    info : dict
        a list of dictionaries with the following {keys: values}
        nr   : int ,default None
            expected number of elements

    """
    info = mt.get_info(soup, {
        "nr": 'h1.t-normal'
    })
    # noinspection PyBroadException
    try:
        info["nr"] = info["nr"].replace('Connections', '').replace(',', '').strip()
        info["nr"] = int(info["nr"])
    except:
        info["nr"] = None

    return info
