"""
Title     : TODO
Objective : TODO
Created by: Abdellah Janid
Created on: 6/2/20
"""
# Standard library imports
from typing import Optional, List

from pydantic import BaseModel, Field

# Import local applications
from scraper.general_schemas import InitModel, ExtraModel


# Related third party imports

# noinspection PyMissingOrEmptyDocstring
class MyConnectionsModel(BaseModel):
    full_name: str = Field(...)
    occupation: Optional[str] = Field(...)
    connected: Optional[str] = Field(...)
    url: str = Field(...)

    # noinspection PyMissingOrEmptyDocstring
    class Config:
        fields = {
            "full_name": "full_name",
            "occupation": "occupation",
            "connected": "connected",
            "url": "url"
        }
        allow_population_by_field_name = True


class LiMyConnectionsSchema(BaseModel):
    """
    My connections schema
    """
    init: InitModel = Field(...)
    extra: ExtraModel = Field(...)
    my_connections: List[MyConnectionsModel] = Field(...)

    # noinspection PyMissingOrEmptyDocstring
    class Config:
        title = 'My connections'
        fields = {
            'init': 'init',
            'my_connections': 'my_connections'
        }
        allow_population_by_field_name = True
