"""
Created by: Abdellah Janid
Created on: 6/2/20
"""
# Standard library imports
# Related third party imports
# Import local applications
import scraper.scraping_tools as mt


def get_my_followers(soup):
    """
    Returns:
        a list of dictionaries with the following {keys: values}
            full_name   : str, default None
            headline    : str, default None
            li_per_url  : str, default None


    """
    info = mt.get_info(soup, {
        'full_name': '.follows-recommendation-card__name',
        'headline': '.follows-recommendation-card__headline',
        'followers': '.follows-recommendation-card__subtext'

    })

    info['url'] = mt.get_attribute_value(soup, '.follows-recommendation-card__profile-link', "href")
    if info['url'] is not None:
        info['url'] = mt.validate_link_one(info['url'])
    return info
