"""
Title     : TODO
Objective : TODO
Created by: Abdellah Janid
Created on: 6/2/20
"""
# Standard library imports
from typing import Optional, List

from pydantic import BaseModel, Field

# Import local applications
from scraper.general_schemas import InitModel, ExtraModel


# Related third party imports

# noinspection PyMissingOrEmptyDocstring
class MyFollowersModel(BaseModel):
    full_name: str = Field(...)
    headline: Optional[str] = Field(...)
    followers: Optional[str] = Field(...)
    url: str = Field(...)

    # noinspection PyMissingOrEmptyDocstring
    class Config:
        fields = {
            "full_name": "full_name",
            "headline": "headline",
            "followers": "followers",
            "url": "url"
        }
        allow_population_by_field_name = True


class LiMyFollowersSchema(BaseModel):
    """
    My followers schema
    """
    init: InitModel = Field(...)
    extra: ExtraModel = Field(...)
    my_followers: List[MyFollowersModel] = Field(...)

    # noinspection PyMissingOrEmptyDocstring
    class Config:
        title = 'My followers'
        fields = {
            'init': 'init',
            'my_followers': 'my_followers'
        }
        allow_population_by_field_name = True
