"""
setup tools
"""
import setuptools

from scraper import __about__

with open("README.md") as fh:
    long_description = fh.read()

with open('LICENSE') as f:
    license_doc = f.read()

setuptools.setup(
    name='brobygger-li',
    version=__about__.__version__,
    author='Abdellah Janid',
    author_email='janid.abdellah@gmail.com',
    description='A package for web scraping',
    long_description=long_description,
    long_description_content_type="text/markdown",
    url='https://github.com/Janidai/scraper_pkg',
    license=license_doc,
    include_package_data=True,
    packages=setuptools.find_packages(exclude=('tests*', 'docs')),
    classifiers=[
        "Programming Language :: Python :: 3",
        "Operating System :: OS Independent",
        "Development Status :: 4 - Beta",
    ],
    # conda install -c conda-forge beautifulsoup4 click email-validator pandas pydantic pytest selenium
    # pip install Selenium-Screenshot

    install_requires=[
        'beautifulsoup4>=4.9.0',
        'click>=7.1.2',
        'email-validator>=1.1.1',
        'pandas>=1.0.3',
        'pydantic>=1.5.1',
        'pytest>=5.4.2',
        'selenium>=3.141.0',
        'selenium-screenshot>=1.6.0',
    ],
    python_requires='>=3.6',
    entry_points={
        "console_scripts": [
            "GoScraping=scraper.cli:cli_commands",
        ]
    }

)
